[fxruby-users] legacy apps with fox12

Lyle Johnson lyle.johnson at gmail.com
Mon Aug 20 08:20:48 EDT 2007

On Aug 20, 2007, at 6:06 AM, Glenn Davy wrote:

> Im looking at ruby gui toolkits and came across this - looks very  
> interesting.
> I thought i'd look at some of the apps mentioned (mondrian, dbtalk  
> etc) - see
> whats been done, and what the code looks like, problem is they have
> dependencies on fox12, which has dependencies on the Fox toolkit  
> 1.2, which
> doesnt seem to be available anymore. Im working fxruby-1.6 and  
> foxtoolkit 1.6
> going, but am wondering will these existing apps work with newer  
> fxrubies
> than 1.2?

I know that you've already answered your question, but I'd just add  
that it's really up to the individual application developers to keep  
them up to date. FOX and FXRuby versions 1.2 are several years old  
now, and if the application hasn't been touched since then you'd  
probably want to look for something that's still being maintained (IMO).

More information about the fxruby-users mailing list